#/////////////////////////////////////////////////////////////////////////////
# FILE:    exptermresults_layer_gui.tcl
# PURPOSE: Definition of the communication layer between MMS and the GUI for
#          ExpTerm Results of an Estimation
#/////////////////////////////////////////////////////////////////////////////

namespace eval LayerExpTermResultsGui {

#/////////////////////////////////////////////////////////////////////////////
proc GetExpTermResultsListTest { } {
#/////////////////////////////////////////////////////////////////////////////
  return {
    {}
    {
      name "ExpTermResults 1"
    }
    {}
    {
      name "ExpTermResults 2"
    }
  }
}

variable expterms_list_test 0
#/////////////////////////////////////////////////////////////////////////////
proc GetExpTermResultsList {submodel estim} {
#/////////////////////////////////////////////////////////////////////////////
  variable expterms_list_test
  
  if { $expterms_list_test } {
    return [GetExpTermResultsListTest]
  }
  LayerMMSGui::EvalTolFun "MMS::Layer::EstimationsGui::GetExpTermResultsList" \
    "Set" $submodel $estim
}

#///////////////////////////////////////////////////////////////////////////
proc GetExpTermResultsHelp {} {
#///////////////////////////////////////////////////////////////////////////
  
  LayerMMSGui::EvalTolFunArgNoChg "MMS::Layer::EstimationsGui::GetExpTermResultsHelp" \
    "Text" "?"
}

}
